/*
 * Class EV_GRID_LOCKED_ROW_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_427 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_427 [] = {0xFF01,1551,426,0xFFFF};
static const EIF_TYPE_INDEX egt_2_427 [] = {0xFF01,426,0xFFFF};
static const EIF_TYPE_INDEX egt_3_427 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_427 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_427 [] = {0xFF01,426,0xFFFF};
static const EIF_TYPE_INDEX egt_6_427 [] = {0xFF01,426,0xFFFF};
static const EIF_TYPE_INDEX egt_7_427 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_427 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_427 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_427 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_427 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_427 [] = {0xFF01,426,0xFFFF};
static const EIF_TYPE_INDEX egt_13_427 [] = {0xFF01,1010,0xFFFF};
static const EIF_TYPE_INDEX egt_14_427 [] = {0xFF01,1038,0xFFFF};
static const EIF_TYPE_INDEX egt_15_427 [] = {0xFF01,1019,0xFFFF};
static const EIF_TYPE_INDEX egt_16_427 [] = {0xFF01,1055,0xFFFF};
static const EIF_TYPE_INDEX egt_17_427 [] = {0xFF01,1034,0xFFFF};
static const EIF_TYPE_INDEX egt_18_427 [] = {0xFF01,1203,0xFFFF};
static const EIF_TYPE_INDEX egt_19_427 [] = {0xFF01,1169,0xFFFF};


static const struct desc_info desc_427[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_427), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_427), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_427), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_427), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_427), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_427), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_427), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_427), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_427), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_427), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_427), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_427), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0355 /*426*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_427), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7270, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_427), 7271, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7272, 28},
	{EIF_GENERIC(egt_14_427), 7273, 4},
	{EIF_GENERIC(egt_15_427), 7274, 8},
	{EIF_GENERIC(egt_16_427), 7275, 12},
	{EIF_GENERIC(egt_17_427), 7276, 16},
	{EIF_GENERIC(egt_18_427), 7277, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7278, 32},
	{EIF_GENERIC(NULL), 7279, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7280, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7281, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7282, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7283, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7284, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7285, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7286, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7287, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7288, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7289, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7290, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7291, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7293, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7294, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7295, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7296, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7297, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7298, 36},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7299, 40},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7300, 44},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7301, 48},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7302, 52},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7303, 56},
	{EIF_GENERIC(NULL), 7304, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_427), 7305, 24},
};
void Init427(void)
{
	IDSC(desc_427, 0, 426);
	IDSC(desc_427 + 1, 1, 426);
	IDSC(desc_427 + 32, 575, 426);
	IDSC(desc_427 + 66, 1491, 426);
}


#ifdef __cplusplus
}
#endif
